<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_DASHBOARD_DEPARTMENT_VIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include($path_to_root . "/includes/ui/ui_input.inc"); 
include_once($path_to_root . "/dashboard/includes/ui/view_dashboard_transport_utility_expenses_ui.inc"); 
include_once($path_to_root . "/dashboard/includes/db/view_dashboard_transport_utility_expenses_db.inc"); 
include_once($path_to_root . "/dashboard/includes/db/dashboard_transport_utility_expenses_db.inc"); 
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 
include_once($path_to_root . "/inventory/includes/db/petty_cash_item_receive_db.inc"); 
include_once($path_to_root . "/transport/includes/db/vehicles_db.inc"); 
include_once($path_to_root . "/assets/includes/db/assets_db.inc"); 
include_once($path_to_root . "/admin/db/list_values_db.inc");  


$js = "";
$js .= get_js_open_window(900, 500);

page(_($help_context = "Dashboard Transport Utility Expenses View"), true, false, "", $js);

$from_date = $to_date = '';
$vehicle_id = $expense_type_id = 0;

if (isset($_GET['vid'])) {
    $vehicle_id = $_GET['vid'];
}
if (isset($_GET['expid']) && $_GET['expid'] > 0) {
    $expense_type_id = $_GET['expid'];
}
if (isset($_GET['from_date'])) {
    $from_date = $_GET['from_date'];
}
if (isset($_GET['to_date'])) {
    $to_date = $_GET['to_date'];
}

dashboard_view_transport_utility_expenses($vehicle_id, $from_date, $to_date, $expense_type_id);

end_page(true, false, false, DASH_SC_PETTY_CASH_EXPENSES, $_GET['vid']);

?>